Package com.mapd.thrift.server

## Class MapD.Client.Factory

- java.lang.Object
- - com.mapd.thrift.server.MapD.Client.Factory

All Implemented Interfaces:
  `org.apache.thrift.TServiceClientFactory<MapD.Client>`

Enclosing class:
  MapD.Client

    public static class MapD.Client.Factory
    extends Object
    implements org.apache.thrift.TServiceClientFactory<MapD.Client>

### Constructor Summary

Constructors
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MapD.Client` `getClient​(org.apache.thrift.protocol.TProtocol prot)`
`MapD.Client` `getClient​(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### getClient

    public MapD.Client getClient​(org.apache.thrift.protocol.TProtocol prot)

Specified by:
  `getClient` in interface `org.apache.thrift.TServiceClientFactory<MapD.Client>`

#### getClient

    public MapD.Client getClient​(org.apache.thrift.protocol.TProtocol iprot,
                                 org.apache.thrift.protocol.TProtocol oprot)

Specified by:
  `getClient` in interface `org.apache.thrift.TServiceClientFactory<MapD.Client>`